Bug 913745 - Zip File download does not work.
Summary: Zip File download does not work.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Logic, Component-UI   
(Show other bugs)
Version: 2.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 2.2
Assignee: Alex Eng
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-21 23:23 UTC by Carlos Munoz
Modified: 2013-11-27 03:35 UTC (History)
2 users (show)

Fixed In Version: 2.2-SNAPSHOT (20130226-1241)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 03:24:27 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carlos Munoz 2013-02-21 23:23:31 UTC
Description of problem:
When attempting to download a zip file for a version/locale, there is no visible progress to build the zip file and downloading.

Version-Release number of selected component (if applicable):
2.1.x

How reproducible:
For all project iterations that don't have a project type set.

Steps to Reproduce:
1. Log in and go to a project iteration with no project type set.
2. Click on the "Documents" link.
3. Click on "Download All Zip Files".
4. Confirm the download.
  
Actual results:
A dialog opens up that tries to show progress, but no progress bar is visible. Cancelling the download causes an error.

Expected results:
The download should show the progress bar and after completion should download the zip file automatically.

Comment 1 Carlos Munoz 2013-02-22 06:37:00 UTC
Implemented a few improvements:

- Downloading is now only allowed for 'Podir' or 'Gettext' projects.

- If a project iteration does not have the right type (or the type is not set), the zip file download button will be disabled and its tooltip will inform the user why it is not allowed.

- downloading zanata.xml (or the zip file containing this file), will now include the project type. In case of Podir, the type will be changed to Gettext to allow for smooth uploads.

All these in addition to get Zip file download working again.

See:
https://github.com/zanata/zanata/commit/9c2893239911a76a924583575a567102d96ef780

Comment 2 Ding-Yi Chen 2013-02-25 04:49:19 UTC
Tested with Zanata version 2.2-SNAPSHOT (20130225-1231)

Unspecified project version and project types other than podir, gettext can still generate zip files.

Reassigned.

Comment 4 Patrick Huang 2013-02-26 04:29:27 UTC
Verified on Zanata version 2.2-SNAPSHOT (20130226-1241)

Comment 5 Ding-Yi Chen 2013-02-26 04:33:18 UTC
VERIFIED with Zanata version 2.2-SNAPSHOT (20130226-1241)

Comment 6 Ding-Yi Chen 2013-02-26 04:34:25 UTC
VERIFIED with Zanata version 2.2-SNAPSHOT (20130226-1241)

Comment 7 Sean Flanigan 2013-11-27 03:14:49 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 8 Sean Flanigan 2013-11-27 03:16:27 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 9 Sean Flanigan 2013-11-27 03:18:14 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 10 Sean Flanigan 2013-11-27 03:24:27 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 11 Sean Flanigan 2013-11-27 03:32:57 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 12 Sean Flanigan 2013-11-27 03:35:11 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.


Note You need to log in before you can comment on or make changes to this bug.